Foreman - Bug #6701

Receive HTTP 200 after creating operating system, not HTTP 201
07/21/2014 11:12 AM - Dominic Cleal

Status: Closed

Priority: Normal

Assignee:

Category: API

Target version:

Difficulty: Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: 1118015 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1118015

Description of problem:

After issuing a successful HTTP POST to api/v2/operatingsystems, an HTTP 200 response is received. An HTTP 201 should be
received.

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64
candlepin-0.9.19-1.el6_5.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.9.19-1.el6_5.noarch
candlepin-tomcat6-0.9.19-1.el6_5.noarch
elasticsearch-0.90.10-4.el6sat.noarch
foreman-1.6.0.21-1.el6sat.noarch
foreman-compute-1.6.0.21-1.el6sat.noarch
foreman-gce-1.6.0.21-1.el6sat.noarch
foreman-libvirt-1.6.0.21-1.el6sat.noarch
foreman-ovirt-1.6.0.21-1.el6sat.noarch
foreman-postgresql-1.6.0.21-1.el6sat.noarch
foreman-proxy-1.6.0.9-1.el6sat.noarch
foreman-selinux-1.6.0-5.el6sat.noarch
foreman-vmware-1.6.0.21-1.el6sat.noarch
katello-1.5.0-26.el6sat.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.5-1.el6sat.noarch
katello-installer-0.0.53-1.el6sat.noarch
openldap-2.4.23-31.el6.x86_64
pulp-katello-0.3-3.el6sat.noarch
pulp-nodes-common-2.4.0-0.23.beta.el6sat.noarch
pulp-nodes-parent-2.4.0-0.23.beta.el6sat.noarch
pulp-puppet-plugins-2.4.0-0.23.beta.el6sat.noarch
pulp-puppet-tools-2.4.0-0.23.beta.el6sat.noarch
pulp-rpm-plugins-2.4.0-0.23.beta.el6sat.noarch
pulp-selinux-2.4.0-0.23.beta.el6sat.noarch
pulp-server-2.4.0-0.23.beta.el6sat.noarch
python-ldap-2.3.10-1.e16.x86_64
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
How reproducible:
100%

Steps to Reproduce:
https://bugzilla.redhat.com/show_bug.cgi?id=1118015

1. Issue an HTTP POST request to api/v2/operatingsystems path and specify all required fields.
2. Save response.
3. Examine status code of response received.

Actual results:
HTTP 200 status code

Expected results:
HTTP 201 status code

Additional info:
A pull request with the relevant tests is in progress. Before the PR is accepted, you can view the tests here [1], and after the PR is
accepted, you can view the tests here [2].

[1] https://github.com/Ichimonji10/robottelo/blob/operatingsystems/tests/foreman/api/test_operatingsystem_v2.py#l 46-L 68
[2] https://github.com/omaciel/robottelo/blob/master/tests/foreman/api/test_operatingsystem_v2.py#L46-L68

History

#1 - 07/21/2014 11:12 AM - Dominic Cleal
- Category set to API
- Assignee deleted (Bryan Kearney)

#2 - 07/24/2014 11:44 AM - Dominic Cleal
This bug applies to at least four URLs:

e operatingsystems/
® repositories/

e content_views/

¢ architectures/

#3 - 08/21/2017 03:18 AM - roman plevka
Dominic Cleal wrote:
This bug applies to at least four URLs:
e operatingsystems/
e repositories/
e content_views/
e architectures/
applies also to:
¢ host collections

#4 - 08/22/2017 02:09 AM - Marek Hulan

Host collections come from Katello, therefore it needs separate issue in Katello project. Please copy this one there.

#5 - 05/04/2021 12:10 PM - Leos Stejskal

- Status changed from New to Closed

I'm closing the issue,
It has been here for some time and | wasn't able to reproduce it on the latest version.
If you think that the issue is still relevant feel free to reopen it.

05/17/2024 22



https://github.com/Ichimonji10/robottelo/blob/operatingsystems/tests/foreman/api/test_operatingsystem_v2.py#L46-L68
https://github.com/omaciel/robottelo/blob/master/tests/foreman/api/test_operatingsystem_v2.py#L46-L68
http://www.tcpdf.org

